<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[randomp]]></name>
<type>protocol</type>
<compilation>static</compilation>
<comment><![CDATA[Random number generator protocol.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.0</version>
<date>2000/7/24</date>
</entity>
<relations>
</relations>
<predicates>
<public>
<predicate>
<name><![CDATA[random/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[random(-float)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Returns a new random float value in the interval [0.0, 1.0[.]]></comment>
<template><![CDATA[random(Random)]]></template>
</predicate>
<predicate>
<name><![CDATA[random/3]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[random(+integer,+integer,-integer)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<mode>
<template><![CDATA[random(+float,+float,-float)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Returns a new random value in the interval [Lower, Upper[.]]></comment>
<template><![CDATA[random(Lower,Upper,Random)]]></template>
</predicate>
<predicate>
<name><![CDATA[randseq/4]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[randseq(+integer,+integer,+integer,-list)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<mode>
<template><![CDATA[randseq(+integer,+float,+float,-list)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Returns a list of Length random values in the interval [Lower, Upper[.]]></comment>
<template><![CDATA[randseq(Length,Lower,Upper,List)]]></template>
</predicate>
<predicate>
<name><![CDATA[randset/4]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[randset(+integer,+integer,+integer,-list)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<mode>
<template><![CDATA[randset(+integer,+float,+float,-list)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Returns an ordered set of Length random values in the interval [Lower, Upper[.]]></comment>
<template><![CDATA[randset(Length,Lower,Upper,Set)]]></template>
</predicate>
<predicate>
<name><![CDATA[reset_seed/0]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[reset_seed]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Resets the random seed to its default value.]]></comment>
</predicate>
<predicate>
<name><![CDATA[set_seed/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[set_seed(+integer)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Sets the random seed to the given value.]]></comment>
<template><![CDATA[set_seed(Seed)]]></template>
</predicate>
</public>
<protected>
</protected>
<private>
</private>
</predicates>
</logtalk>
